Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QBoxLayout.Direction

    java.lang.Object
      java.lang.Enum<QBoxLayout.Direction>
          com.trolltech.qt.gui.QBoxLayout.Direction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QBoxLayout.Direction>

Enclosing class:
  QBoxLayout

    public static enum QBoxLayout.Direction

extends java.lang.Enum<QBoxLayout.Direction>
implements QtEnumerator

This type is used to determine the direction of a box layout.

Enum Constant Summary
`BottomToTop` Vertical from bottom to top.
`LeftToRight` Horizontal from left to right.
`RightToLeft` Horizontal from right to left.
`TopToBottom` Vertical from top to bottom.

Method Summary
`static QBoxLayout.Direction` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QBoxLayout.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QBoxLayout.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LeftToRight

    public static final QBoxLayout.Direction LeftToRight

  Horizontal from left to right.

### RightToLeft

    public static final QBoxLayout.Direction RightToLeft

  Horizontal from right to left.

### TopToBottom

    public static final QBoxLayout.Direction TopToBottom

  Vertical from top to bottom.

### BottomToTop

    public static final QBoxLayout.Direction BottomToTop

  Vertical from bottom to top.

Method Detail

### values

    public static final QBoxLayout.Direction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QBoxLayout.Direction c : QBoxLayout.Direction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QBoxLayout.Direction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QBoxLayout.Direction resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD